- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osg::Multisample::Extensions Class Reference

Extensions class which encapsulates the querying of extensions and associated function pointers, and provide convenience wrappers to check for the extensions or use the associated functions. More...

Inheritance diagram for osg::Multisample::Extensions:

[legend]
List of all members.

## Public Member Functions
| Extensions ()
| Extensions (const Extensions &rhs)
void | lowestCommonDenominator (const Extensions &rhs)
void | setupGLExtenions ()
void | setMultisampleSupported (bool flag)
void | setMultisampleFilterHintSupported (bool flag)
bool | isMultisampleSupported () const
bool | isMultisampleFilterHintSupported () const
void | setSampleCoverageProc (void *ptr)
void | glSampleCoverage (GLclampf value, GLboolean invert) const
## Protected Member Functions
| ~Extensions ()
## Protected Attributes
bool | _isMultisampleSupported
bool | _isMultisampleFilterHintSupported
void * | _glSampleCoverage

## Detailed Description

Extensions class which encapsulates the querying of extensions and associated function pointers, and provide convenience wrappers to check for the extensions or use the associated functions.

## Constructor & Destructor Documentation

Multisample::Extensions::Extensions | ( |  | ) |

Multisample::Extensions::Extensions | ( | const Extensions & | rhs | ) |

osg::Multisample::Extensions::~Extensions | ( |  | ) | `[inline, protected]`

## Member Function Documentation

void Multisample::Extensions::glSampleCoverage | ( | GLclampf | value,
|  | GLboolean | invert
| ) | const

bool osg::Multisample::Extensions::isMultisampleFilterHintSupported | ( |  | ) | const`[inline]`

bool osg::Multisample::Extensions::isMultisampleSupported | ( |  | ) | const`[inline]`

void Multisample::Extensions::lowestCommonDenominator | ( | const Extensions & | rhs | ) |

void osg::Multisample::Extensions::setMultisampleFilterHintSupported | ( | bool | flag | ) | `[inline]`

void osg::Multisample::Extensions::setMultisampleSupported | ( | bool | flag | ) | `[inline]`

void osg::Multisample::Extensions::setSampleCoverageProc | ( | void * | ptr | ) | `[inline]`

void Multisample::Extensions::setupGLExtenions | ( |  | ) |

## Member Data Documentation

void* osg::Multisample::Extensions::_glSampleCoverage`[protected]`

bool osg::Multisample::Extensions::_isMultisampleFilterHintSupported`[protected]`

bool osg::Multisample::Extensions::_isMultisampleSupported`[protected]`

The documentation for this class was generated from the following files:

- Multisample
- Multisample.cpp